Bug 822715 - [abrt] youtube-dl-2012.02.27-1.fc17: youtube-dl:599:to_stderr:IOError: [Errno 5] Input/output error
[abrt] youtube-dl-2012.02.27-1.fc17: youtube-dl:599:to_stderr:IOError: [Errno...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: youtube-dl (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
abrt_hash:560adaf3c38cf094a82e01f0e9e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 17:38 EDT by Mads Kiilerich
Modified: 2013-05-17 22:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-17 22:18:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2012-05-17 17:38:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python /usr/bin/youtube-dl http://youtu.be/q-7l8cnpI4k
executable:     /usr/bin/youtube-dl
kernel:         3.3.4-5.fc17.i686.PAE
time:           Thu 17 May 2012 10:38:00 PM CEST
uid:            500
username:       mk

backtrace:
:youtube-dl:599:to_stderr:IOError: [Errno 5] Input/output error
:
:Traceback (most recent call last):
:  File "/usr/bin/youtube-dl", line 4645, in <module>
:    main()
:  File "/usr/bin/youtube-dl", line 4636, in main
:    _real_main()
:  File "/usr/bin/youtube-dl", line 4620, in _real_main
:    retcode = fd.download(all_urls)
:  File "/usr/bin/youtube-dl", line 869, in download
:    ie.extract(url)
:  File "/usr/bin/youtube-dl", line 1135, in extract
:    return self._real_extract(url)
:  File "/usr/bin/youtube-dl", line 1466, in _real_extract
:    self._downloader.trouble(u'\nERROR: unable to download video')
:  File "/usr/bin/youtube-dl", line 624, in trouble
:    self.to_stderr(message)
:  File "/usr/bin/youtube-dl", line 599, in to_stderr
:    print >>sys.stderr, message.encode(preferredencoding())
:IOError: [Errno 5] Input/output error
:
:Local variables in innermost frame:
:message: u'\nERROR: unable to download video'
:self: <__main__.FileDownloader object at 0x9e5a54c>
Comment 1 Mads Kiilerich 2012-05-17 18:52:46 EDT
IOErrors should be reported to the users without a traceback - and thus without being caught by abrt.
Comment 2 Christopher Meng 2013-05-13 05:44:53 EDT
Are you still suffering this problem? If not I'll close.
Comment 3 Fedora Admin XMLRPC Client 2013-05-17 22:00:27 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Note You need to log in before you can comment on or make changes to this bug.